Skip to main content
`Ctrl`+`K`

# PetscLogEventDeactivatePop

Indicates that a particular event should again be logged after the logging was turned off with `PetscLogEventDeactivatePush()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogEventDeactivatePop(PetscLogEvent event)

Not Collective

## Input Parameter

- event - The event id

## Example Usage

          PetscLogEventDeactivatePush(VEC_SetValues);
            [code where you do not want to log VecSetValues()]
          PetscLogEventDeactivatePop(VEC_SetValues);
            [code where you do want to log VecSetValues()]

## Note

The event may be either a pre-defined PETSc event (found in include/petsclog.h) or an event number obtained with `PetscLogEventRegister()`).

## See Also

Profiling, `PetscLogEventActivate()`, `PetscLogEventDeactivatePush()`

## Level

advanced

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages